사용자
사용자 게시물 조회
GET /v1/users/{screen_name}/tweets reads 2 크레딧
계정의 최근 게시물, 최신순.
쿼리 매개변수
| 쿼리 파라미터 | 타입 | 의미 |
|---|---|---|
replies | bool = false | 답글 포함 |
count | int 1–100 = 40 | 요청 페이지 크기. X는 힌트로 취급 |
cursor | string | 이전 페이지의 next_cursor에서 |
응답
계정, 게시물, 다음 페이지 커서(끝이면 null). 필드별 설명: Tweet (읽기).
상태: 200, 404, 429, 502
요청
curl https://api.xsignalfeed.com/v1/users/elonmusk/tweets?count=20&replies=true \ -H "Authorization: Bearer xsf_your_key"
응답 · 200 / 404
{
"user": {
"id": "44196397",
"screen_name": "elonmusk"
},
"tweets": [
{
"id": 2097879002992070835,
"created_ms": 1789012345678,
"user_id": 44196397,
"user": "elonmusk",
"name": "Elon Musk",
"text": "…",
"lang": "en",
"reply_to": null,
"reply_to_status_id": null,
"reply_to_user_id": null,
"conversation_id": "2097879002992070835",
"is_rt": false,
"rt_of": null,
"is_quote": false,
"quoted": null,
"media": [],
"media_items": [],
"urls": [],
"views": 1204331,
"counts": {
"reply": 812,
"rt": 1930,
"like": 14022,
"quote": 210,
"bookmark": 388
}
}
],
"next_cursor": "DAAHCgABHSMQD72__-oL"
}